import baseUrl from "@/config/base-url";
import { createApiClient } from "@/lib/api/create-api-client";
import { AxiosInstance } from "axios";

export const clientMap: Record<keyof typeof baseUrl, AxiosInstance> = {
  auth: createApiClient(baseUrl.auth!),
  admin: createApiClient(baseUrl.admin!),
  core: createApiClient(baseUrl.core!),
};
